Package org.pushingpixels.substance.swingx

# Class SubstanceStatusBarUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.jdesktop.swingx.plaf.StatusBarUI
org.jdesktop.swingx.plaf.basic.BasicStatusBarUI
org.pushingpixels.substance.swingx.SubstanceStatusBarUI

public class SubstanceStatusBarUI extends org.jdesktop.swingx.plaf.basic.BasicStatusBarUI
Substance-consistent UI delegate for `JXStatusBar`.

## Field Summary

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicStatusBarUI

`AUTO_ADD_SEPARATOR, mouseListener, mouseMotionListener, propertyChangeListener, statusBar`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceStatusBarUI()`
Creates a new UI delegate.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected Insets`
`getSeparatorInsets(Insets insets)`
`protected int`
`getSeparatorWidth()`
`protected void`
`installDefaults(org.jdesktop.swingx.JXStatusBar sb)`
`protected void`
`paintBackground(Graphics2D g, org.jdesktop.swingx.JXStatusBar bar)`
`protected void`
`paintSeparator(Graphics2D g, org.jdesktop.swingx.JXStatusBar bar, int x, int y, int w, int h)`
`protected void`
`uninstallDefaults(org.jdesktop.swingx.JXStatusBar sb)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicStatusBarUI

`createBorder, createLayout, createMouseListener, createMouseMotionListener, createPropertyChangeListener, includeSeparators, installListeners, installUI, paint, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceStatusBarUI

public SubstanceStatusBarUI()
Creates a new UI delegate.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults(org.jdesktop.swingx.JXStatusBar sb)

Overrides:
  `installDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicStatusBarUI`

### uninstallDefaults

protected void uninstallDefaults(org.jdesktop.swingx.JXStatusBar sb)

Overrides:
  `uninstallDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicStatusBarUI`

### paintBackground

protected void paintBackground(Graphics2D g, org.jdesktop.swingx.JXStatusBar bar)

Overrides:
  `paintBackground` in class `org.jdesktop.swingx.plaf.basic.BasicStatusBarUI`

### paintSeparator

protected void paintSeparator(Graphics2D g, org.jdesktop.swingx.JXStatusBar bar, int x, int y, int w, int h)

Overrides:
  `paintSeparator` in class `org.jdesktop.swingx.plaf.basic.BasicStatusBarUI`

### getSeparatorWidth

protected int getSeparatorWidth()

Overrides:
  `getSeparatorWidth` in class `org.jdesktop.swingx.plaf.basic.BasicStatusBarUI`

### getSeparatorInsets

protected Insets getSeparatorInsets(Insets insets)

Overrides:
  `getSeparatorInsets` in class `org.jdesktop.swingx.plaf.basic.BasicStatusBarUI`